"GSint2BC" <-
function(interpretation, what="nor") {

#Last update: 16-Feb-2005
# Since the expression sets no longer contain the names of the genes as the rownames,
# but the ExpressionSet class from Biobase still expects the gene names to be in the rownames,
# this function was changed to put back the names of the genes as rownames.

#load the BioConductor Biobase package
library("Biobase")

#Create a phenoData class instance that describes the experiment
pd<-as.data.frame(t(interpretation@expparam))
vl <- as.list(names(pd))
names(vl) <- names(pd)
pdata <- new("AnnotatedDataFrame")
pData(pdata) <- pd
varLabels(pdata) <- vl

#Create the BioConductor object
if(what == "nor") {
    exprs <- interpretation@a.nor
    se.exprs <- interpretation@se.nor
} else if(what == 'raw') {
    exprs <- interpretation@a.raw
    se.exprs <- interpretation@se.raw
} else stop(paste('Unknown value for parameter "what": ',what,' (Supported values are "raw" and "nor" for the Raw and Normalized values, respectively'))

#Set the rownames for the matrices
row.names(exprs) <- interpretation@genenames
if(is.null(se.exprs) || length(se.exprs) == 0) {
    new('ExpressionSet',exprs=exprs, phenoData=pdata)
} else {
    row.names(se.exprs) <- interpretation@genenames
    new('ExpressionSet',exprs=exprs, se.exprs=se.exprs, phenoData=pdata)
}
} #####End of function definition GSload.BCinterpretation
