"GSload.genelist" <-
function(filename="GS_R_in.txt", EOF="///", chunk=1) {

#Last update: 17-Jan-2007
# No longer return the gene names as the rownames of a data.frame, since some genenames are not suitable as gene names
# Now returning a data frame where the first column contains the genenames

#We are padding the the file and the list of EOF characters with the first and last line position, to make it easier to do all the calculations
l<-c(readLines(filename),"")
eofs <- c(0,grep(EOF,l),length(l))
if( chunk < length(eofs) ) {
   skipping <- eofs[chunk]
   ending <- eofs[chunk+1]-eofs[chunk]-1
} else {
   return(NULL)
}

#We will only end up here if we don't try to read beyond the end
gl<-read.table(filename,sep="\t",quote="",header=FALSE,row.names=NULL,comment.char="",as.is=TRUE, skip=skipping, nrows=ending)

#Do some sanity checking
#If it is only one column of data, we will return the genelist as a vector
#We will return only the first column of associated values, just in case we can get more than one column
if(dim(gl)[2]==1) gl[,1] else gl[,1:2]

} #####End of function defintion GSload.genelist